summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/json-tools/json-tools-0.3.3.ebuild')
-rw-r--r--dev-python/json-tools/json-tools-0.3.3.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/json-tools/json-tools-0.3.3.ebuild b/dev-python/json-tools/json-tools-0.3.3.ebuild
new file mode 100644
index 00000000000..582d0cd73c7
--- /dev/null
+++ b/dev-python/json-tools/json-tools-0.3.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+inherit distutils-r1
+
+MY_PN="json_tools"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A set of tools to manipulate JSON: diff, patch, and pretty-printing"
+HOMEPAGE="https://pypi.python.org/pypi/json_tools https://bitbucket.org/vadim_semenov/json_tools"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="test"
+
+RDEPEND="dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+S=${WORKDIR}/${MY_P}
+
+python_test() {
+ nosetests || die "Tests fail with ${EPYTHON}"
+}